curl --request GET \
--url https://api.deepreel.com/project/assets/avatar/{id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/avatar/{id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/avatar/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gender": 1,
"cropped_asset": "<string>",
"full_asset": "<string>",
"is_pending": true,
"is_custom": true,
"created_at": "2023-11-07T05:31:56Z",
"is_colorcode_bg_supported": true,
"languages": [
{
"id": 123,
"name": "<string>",
"is_default": true
}
]
}{
"message": "<string>",
"detail": {}
}{
"message": "<string>",
"detail": {}
}Get Avatar Properties
Returns the detail of the Avatar.
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Path Parameters
A UUID string identifying this avatar.
Response
Allows to specify fields to be included
Unique Identifier of the Avatar.
Name of the Avatar.
Gender of the Avatar.
1- Male2- Female3- Non Binary
1, 2, 3 URL for the cropped asset.
URL for the full asset.
True if the Avatar has been generated else False.
True if the Avatar is custom generated else False.
DateTime when the Avatar was created.
True if the Avatar supports a color code background else False.
List of languages supported by the Avatar.
Show child attributes
Show child attributes
